Subject: bug#49428: RFE: for --time have option to only include contents, not dir itself.

From: L A Walsh <[email-masked]>
Date: Mon, 05 Jul 2021 22:18:30 -0700

I did a re-install-in-place on windows that reset the
dirtimes on all the dirs to the date I did the re-inst.

As a partial recovery, I want to be able to reset the date
to the time of the last modified file in the dir.

I thought to use:

   du -s --time DIR

but it's not just showing (from manpage):

       --time show time of the last modification of any file in the 
directory,
              or any of its subdirectories

instead it is showing the above & the time on the dir itself.
Some people may want to include the dir time, but that's usually
obvious by the time on the directory.

Nevertheless, perhaps a "--contents" flag to not include
the size of the directory-inode itself might be useful?

Sadly --separate-dirs doesn't really separate out all
the dir-sizes either, but only subdirs.

*sigh*
tnx!